org.mariadb.jdbc.internal.queryresults

## Class SingleExecutionResult

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.ExecutionResult
  - - org.mariadb.jdbc.internal.queryresults.SingleExecutionResult

    public class SingleExecutionResult
    extends ExecutionResult

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.queryresults.ExecutionResult

`result`

### Constructor Summary

Constructors
Constructor and Description
`SingleExecutionResult(Statement statement, int fetchSize, boolean selectPossible, boolean canHaveCallableResultset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addResult(MariaSelectResultSet result, boolean moreResultAvailable)` Add a resultSet information.
`void` `addStats(long affectedRows, long insertId, boolean moreResultAvailable)` Add execution statistics.
`void` `addStatsError()`
`long` `getAffectedRows()`
`int` `getFirstAffectedRows()`
`long` `getInsertId()`
`long[]` `getInsertIds()`
`boolean` `hasMoreThanOneAffectedRows()`

### Methods inherited from class org.mariadb.jdbc.internal.queryresults.ExecutionResult

`close, getFetchSize, getResult, getStatement, hasMoreResultAvailable, isCanHaveCallableResultset, isSelectPossible, setFetchSize, setMoreResultAvailable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleExecutionResult

    public SingleExecutionResult(Statement statement,
                                 int fetchSize,
                                 boolean selectPossible,
                                 boolean canHaveCallableResultset)

### Method Detail

#### addResult

    public void addResult(MariaSelectResultSet result,
                          boolean moreResultAvailable)

Add a resultSet information.

Specified by:
  `addResult` in class `ExecutionResult`
Parameters:
  `result` - resultset implementation
  `moreResultAvailable` - is there additional packet

#### addStats

    public void addStats(long affectedRows,
                         long insertId,
                         boolean moreResultAvailable)

Add execution statistics.

Specified by:
  `addStats` in class `ExecutionResult`
Parameters:
  `affectedRows` - number of affected rows
  `insertId` - primary key
  `moreResultAvailable` - is there additional packet

#### getInsertIds

    public long[] getInsertIds()

Specified by:
  `getInsertIds` in class `ExecutionResult`

#### getInsertId

    public long getInsertId()

#### getAffectedRows

    public long getAffectedRows()

#### hasMoreThanOneAffectedRows

    public boolean hasMoreThanOneAffectedRows()

Specified by:
  `hasMoreThanOneAffectedRows` in class `ExecutionResult`

#### getFirstAffectedRows

    public int getFirstAffectedRows()

Specified by:
  `getFirstAffectedRows` in class `ExecutionResult`

#### addStatsError

    public void addStatsError()

Specified by:
  `addStatsError` in class `ExecutionResult`